Bug 1440731 - python-pykmip: python3-pykmip requires both Python 2 and Python 3
Summary: python-pykmip: python3-pykmip requires both Python 2 and Python 3
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-pykmip
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3 PY3PATCH-AVAILABLE PY3PATCH-PUSH
TreeView+ depends on / blocked
 
Reported: 2017-04-10 11:36 UTC by Iryna Shcherbina
Modified: 2017-10-02 11:28 UTC (History)
5 users (show)

Fixed In Version: python-pykmip-0.5.0-3.fc28 python-pykmip-0.5.0-3.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-30 06:42:00 UTC


Attachments (Terms of Use)
Fix of python3-pykmip requiring both Python 2 and Python 3 (4.09 KB, patch)
2017-07-14 14:01 UTC, Jan Beran
no flags Details | Diff
Simplified fix of python3-pykmip requiring both Python 2 and Python 3 (3.77 KB, patch)
2017-07-17 07:28 UTC, Jan Beran
no flags Details | Diff
Rebased patch for specfile (1.26 KB, patch)
2017-08-09 07:36 UTC, Lumír Balhar
no flags Details | Diff

Description Iryna Shcherbina 2017-04-10 11:36:40 UTC
The python3-pykmip RPM requires both Python 2 and Python 3 starting version 0.5.0.

Except in very special circumstances, there is no need for one package
to drag in both Python stacks. Usually, this is a packaging error: in this case the Python 2 executable overrides the Python 3 one during installation.

Please remove the stray dependency. There is a section on %install in the Python RPM Porting Guide [0] which covers this issue.

It's ok to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 25 as well.


If anything is unclear, or if you need any kind of assistance, you can
ask on IRC (#fedora-python on Freenode), or reply here. We'll be happy
to help investigating or fixing this issue!


[0] https://python-rpm-porting.readthedocs.io/en/latest/application-modules.html#install

Comment 1 Jan Beran 2017-07-14 14:01:45 UTC
Created attachment 1298360 [details]
Fix of python3-pykmip requiring both Python 2 and Python 3

Hi, may I ask to review the attached updated spec file?

Comment 2 Jan Beran 2017-07-17 07:28:56 UTC
Created attachment 1299677 [details]
Simplified fix of python3-pykmip requiring both Python 2 and Python 3

Comment 3 Jan Beran 2017-07-27 09:36:16 UTC
Hello Chandan,

may I ask to review the attached updated spec file, and if everything is fine, to make a Fedora build? Thank you.

Comment 4 Lumír Balhar 2017-08-09 07:36:34 UTC
Created attachment 1311029 [details]
Rebased patch for specfile

Hello.

Thank you for the working specfile! I rebased it on the top of the current specfile and created a patch from them.

I've tested that bug is fixed now:

$ rpm -qp --requires ./python3-pykmip-0.5.0-3.fc27.noarch.rpm
/usr/bin/python3
python(abi) = 3.6
python3-six
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1

$ rpm -qp --requires ./python2-pykmip-0.5.0-3.fc27.noarch.rpm
python(abi) = 2.7
python-enum34
python-six
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PartialHardlinkSets) <= 4.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1

If maintainer has nothing against, we can push this change next week.

Comment 5 Jan Kurik 2017-08-15 08:30:13 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 6 Jan Beran 2017-09-18 13:35:33 UTC
Hi Lumír, as there is no response from the maintainer, please, could you push the change?

Comment 7 Miro Hrončok 2017-09-19 12:26:00 UTC
Will push.

Comment 8 Fedora Update System 2017-09-19 12:47:00 UTC
python-pykmip-0.5.0-3.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-aba07debce

Comment 9 Fedora Update System 2017-09-19 23:30:10 UTC
python-pykmip-0.5.0-3.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-aba07debce

Comment 10 Fedora Update System 2017-09-30 06:42:00 UTC
python-pykmip-0.5.0-3.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.